Create Array[Point3d] for creating leader's points in Python

Hi there,

for creating a leader in RhinoCommon I need to specify it’s points.
Whenever I try to pass in a list from Python I get an error:

expected Array[Point3d], got list
I am familiary with C# arrays, but how do I create an equivalent in Python?

I took a look at rhinoscriptsyntax and there rs.AddLeader directly adds a leader to the document.
But what if I just wanna have the geometry?

Thanks,
T.

Hi @tobias.stoltmann,

pts_array = System.Array[Rhino.Geometry.Point3d](pts)

where pts is a regular python list.

3 Likes

@djordje, perfect as always. :slight_smile:
Thanks a lot!

2 Likes